LibreOffice: XProfileDiscover Interface Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XProfileDiscover Interface Referencepublished

is the interface used to list and get information for Mozilla/Thunderbird profiles More...

`import"XProfileDiscover.idl";`

Inheritance diagram for XProfileDiscover:

## Public Member Functions
long | getProfileCount ([in]MozillaProductType product)
| attempts to get the profiles count. More...
long | getProfileList ([in]MozillaProductType product,[out] sequence< string > list)
| attempts to get the profile list for the given product. More...
string | getDefaultProfile ([in]MozillaProductType product)
| attempts to get the default profile name for the given product. More...
string | getProfilePath ([in]MozillaProductType product,[in]string profileName)
| attempts to get the full path for the given profile. More...
boolean | isProfileLocked ([in]MozillaProductType product,[in]string profileName)
| attempts to get whether profile is locked by other applications. More...
boolean | getProfileExists ([in]MozillaProductType product,[in]string profileName)
| return true if the given profile exists More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the interface used to list and get information for Mozilla/Thunderbird profiles

See also
  com::sun::star::mozilla::XProfileManager
  com::sun::star::mozilla::MozillaBootstrap

## Member Function Documentation

string getDefaultProfile | ( | [in] MozillaProductType | product | ) |

attempts to get the default profile name for the given product.

Parameters

  product | is the product name to get default profile.Currently support "Mozilla" and "Thunderbird".

Returns
  the default profile name for the given product.

long getProfileCount | ( | [in] MozillaProductType | product | ) |

attempts to get the profiles count.

Parameters

  product | is the product name to get profiles count.Currently support "Mozilla" and "Thunderbird".

Returns
  the profiles count of selected product.

boolean getProfileExists | ( | [in] MozillaProductType | product,
|  | [in] string | profileName
| ) |  |

return true if the given profile exists

Parameters

  product | is the product name to get profile path.Currently support "Mozilla" and "Thunderbird".
  profileName | the profile name to check.

Returns
  whether given profile exists

long getProfileList | ( | [in] MozillaProductType | product,
|  | [out] sequence< string > | list
| ) |  |

attempts to get the profile list for the given product.

Parameters

  product | is the product name to get profile list.Currently support "Mozilla" and "Thunderbird".
  list | is a list of all profile of the given product.

Returns
  the profile count for the given product.

string getProfilePath | ( | [in] MozillaProductType | product,
|  | [in] string | profileName
| ) |  |

attempts to get the full path for the given profile.

Parameters

  product | is the product name to get profile path.Currently support "Mozilla" and "Thunderbird".
  profileName | the profile name to get full path.

Returns
  the full path of the given profile.

boolean isProfileLocked | ( | [in] MozillaProductType | product,
|  | [in] string | profileName
| ) |  |

attempts to get whether profile is locked by other applications.

Parameters

  product | is the product name to get profile path.Currently support "Mozilla" and "Thunderbird".
  profileName | the profile name to check.

Returns
  true is the given profile is locked.

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XProfileDiscover.idl